package com.tibbo.aggregate.common.sql;

import com.tibbo.aggregate.common.datatable.converter.editor.AggregateConstraintType;

public interface SqlColumn
{
    String getName();

    boolean isPrimaryKey();

    boolean isForeignKey();

    String getTypeName();

    boolean isNullable();

    String getRealName();

    SqlTable getTable();

    int getDataType();

    void setReferencedTableName(String parentTableName);

    void setParentPrimaryColumnName(String parentPrimaryColumnName);

    String getReferencedTableName();

    String getParentPrimaryColumnName();

    void setPrimaryKey(boolean pk);

    boolean isAutoIncrement();

    boolean isNumber();

    boolean isString();

    boolean isDataBlock();
}
